import Layout from '@/layout'

const applicationRouter = {
  path: '/application',
  component: Layout,
  redirect: '/application',
  alwaysShow: true, // will always show the root menu
  children: [
    {
      path: 'appManage',
      name: 'appManage',
      component: () => import('@/views/application/appManage'),
      meta: { title: '应用管理', icon: 'component',
        roles: ['admin', 'assistant'] }
    }
  ]
}
// const applicationRouter = {
//   path: '/application',
//   component: Layout,
//   redirect: '/application',
//   alwaysShow: true, // will always show the root menu
//   name: 'Application',
//   meta: {
//     title: '应用',
//     icon: 'component',
//     roles: ['admin', 'assistant'] // you can set roles in root nav
//   },
//   children: [{
//     path: 'appManage',
//     component: () => import('@/views/application/appManage'), // 应用管理/添加
//     name: 'appManage',
//     meta: {
//       title: '应用管理',
//       icon: 'component',
//       roles: ['admin', 'assistant'] // or you can only set roles in sub nav
//     }
//   },
//   {
//     path: 'appList',
//     component: () => import('@/views/application/appList'), // 应用列表
//     name: 'appList',
//     meta: {
//       title: '应用列表',
//       icon: 'list',
//       roles: ['admin', 'assistant'] // or you can only set roles in sub nav
//     }
//   }
//   ]
// }
export default applicationRouter
