import Layout from '@/layout'

const manufacturerRouter = {
  path: '/manufacturer',
  component: Layout,
  redirect: '/manufacturer/page',
  alwaysShow: true, // will always show the root menu
  name: 'manufacturer',
  meta: {
    title: '厂商',
    icon: 'tree-table',
    roles: ['admin', 'assistant'] // you can set roles in root nav
  },
  children: [{
    path: 'manufacturerpage',
    component: () => import('@/views/manufacturer/manufacturer'),
    name: 'manufacturer',
    meta: {
      title: '厂商管理',
      icon: 'tree-table',
      roles: ['admin', 'assistant'] // or you can only set roles in sub nav
    }
  }]
}
export default manufacturerRouter
