import Layout from '@/layout'

const operationsRouter = {
  path: '/operations',
  component: Layout,
  redirect: '/operations/page',
  // alwaysShow: true, // will always show the root menu
  name: 'operations',
  meta: {
    title: '运营官',
    icon: 'user',
    roles: ['admin', 'assistant'] // you can set roles in root nav
  },
  children: [{
    path: 'operationsManage',
    component: () => import('@/views/operations/operations'),
    name: 'operations',
    meta: {
      title: '运营官管理',
      icon: 'user',
      roles: ['admin', 'assistant'] // or you can only set roles in sub nav
    }
  }]
}
export default operationsRouter
