import request from '@/utils/request'

// export const getPersonInfo = data => {
//   return service({
//     url: '/person_pay/getpersoninfo',
//     method: 'post',
//     data
//   })
// }

export function fetchList(query) {
  return request({
    url: '/yp/article/list',
    method: 'get',
    params: query
  })
}

export function fetchArticle(id) {
  return request({
    url: '/yp/article/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export function fetchPv(pv) {
  return request({
    url: '/yp/article/pv',
    method: 'get',
    params: {
      pv
    }
  })
}

export function createArticle(data) {
  return request({
    url: '/yp/article/create',
    method: 'post',
    data
  })
}

export function updateArticle(data) {
  return request({
    url: '/yp/article/update',
    method: 'post',
    data
  })
}
