import Layout from '@/layout'

const logisticsRouter = {
  path: '/logistics',
  component: Layout,
  redirect: '/logistics/page',
  // alwaysShow: true, // will always show the root menu
  name: 'logistics',
  meta: {
    title: '物流',
    icon: 'tree-table',
    roles: ['admin', 'assistant'] // you can set roles in root nav
  },
  children: [{
    path: 'logisticspage',
    component: () => import('@/views/logistics/logistics'),
    name: 'logistics',
    meta: {
      title: '物流管理',
      icon: 'tree-table',
      roles: ['admin', 'assistant'] // or you can only set roles in sub nav
    }
  }]
}
export default logisticsRouter
