import Layout from '@/layout'

const recommendRouter = {
  path: '/recommend',
  component: Layout,
  redirect: '/recommend/page',
  // alwaysShow: true, // will always show the root menu
  name: 'recommend',
  meta: {
    title: '推荐',
    icon: 'table',
    roles: ['admin', 'assistant'] // you can set roles in root nav
  },
  children: [{
    path: 'recommendpage',
    component: () => import('@/views/recommend/recommend'),
    name: 'recommend',
    meta: {
      title: '推荐系统',
      icon: 'table',
      roles: ['admin', 'assistant'] // or you can only set roles in sub nav
    }
  }]
}
export default recommendRouter
